dpkg-checkbuilddeps(1)

NOM
dpkg-checkbuilddeps - Vérifier les dépendances et les conflits de construction

SYNOPSIS
dpkg-checkbuilddeps [option...] [fichier-control]

DESCRIPTION
Ce programme vérifie si les dépendances et les conflits de construction listés dans le fichier control existent dans les paquets installés sur le système. S'il en existe, il les affiche et se termine avec un code de retour différent de 0.

Par défaut, le fichier debian/control est lu, mais un autre nom de fichier peut être indiqué sur la ligne de commande.

OPTIONS

--admindir=répertoire
    Changer l'endroit où se trouve la base de données de dpkg (depuis dpkg 1.14.0). Par défaut, c'est %ADMINDIR%.

-A  Ignore les lignes Build-Depends-Arch et Build-Conflicts-Arch (depuis dpkg 1.16.4). À utiliser lorsque seuls des paquets indépendants d'une architecture seront construits ou à combiner avec -B si seul un paquet source est construit.

-B  Ignore les lignes Build-Depends-Indep et Build-Conflicts-Indep. À utiliser lorsque seuls des paquets dépendants de l'architecture sont construits ou à combiner avec -A si seul un paquet source est construit.

-I  Ignore les dépendances et les conflits de construction internes (depuis dpkg 1.18.2). Ce sont les dépendances implicites qui sont habituellement demandées sur une distribution particulière, c'est l'ensemble de paquets appelé Build-Essentiel.

-d chaine-des-dépendances-pour-la-construction

-c chaîne-des-conflits-de-construction
    Utilise les dépendances et conflits de construction donnés au lieu de ceux indiqués dans le fichier debian/control (depuis dpkg 1.14.17).

-a arch
    Vérifie les dépendances et conflits de construction en supposant que le paquet décrit dans le fichier de contrôle doit être construit pour l'architecture hôte indiquée au lieu de celle du système (depuis dpkg 1.16.2).

-P profil[,...]
    Vérifie les dépendances et conflits de construction en supposant que le paquet décrit dans le fichier de contrôle doit être construit pour le ou les profils donnés (depuis dpkg 1.17.2). L'argument est une liste séparée par des virgules des noms de profil.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DEB_BUILD_PROFILES
    Si cette option est utilisée, elle sera utilisée comme profil(s) de construction actif(s) pour le paquet à construire. C'est une liste séparée par des espaces de noms de profil. Cette option est outrepassée par l'option -P.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.